var TEXT_NAME = "NoteTaker Web Notes";
var REG_NAME  = "NoteTaker";
var VERSION   = "0.9.0.0";
var rv = SUCCESS;

function schedule_files()
{
  addFile(TEXT_NAME, "notetaker.jar",
          getFolder("Chrome"), "");

  addFile(TEXT_NAME, "extras/notetaker.rdf",
          getFolder("Profile"), "");
  return SUCCESS;
}

function register_chrome()
{
  var jar_root = getFolder("Chrome", "notetaker.jar");

  registerChrome(PACKAGE | DELAYED_CHROME,
                 jar_root, "content/notetaker/");

  registerChrome(SKIN | DELAYED_CHROME,
                 jar_root, "skin/modern/notetaker/");

  registerChrome(LOCALE | DELAYED_CHROME, 
                 jar_root, "locale/en-US/notetaker/");
  return SUCCESS;
}

function prepare()
{
  initInstall(TEXT_NAME, REG_NAME, VERSION);
  
  if ( schedule_files() != SUCCESS ) return getLastError();
  if ( register_chrome() != SUCCESS) return getLastError();
  
  return SUCCESS;
}

rv = prepare();

if (rv == SUCCESS) {
  performInstall();
}
else {
  alert("Installation failed. (Error = " + rv + ")" );
  cancelInstall(rv);
}

